Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 752733 - No module named gmenu - missing dependency
No module named gmenu - missing dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
16
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 04:29 EST by rvcsaba
Modified: 2013-02-13 16:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:50:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My sorted full package list. rpm -qa | sort (57.91 KB, text/plain)
2011-11-10 04:29 EST, rvcsaba
no flags Details

  None (edit)
Description rvcsaba 2011-11-10 04:29:25 EST
Created attachment 532768 [details]
My sorted full package list. rpm -qa | sort

Description of problem:

A installed alacarte menu editor. I ran it, and then I got the following error message:

Traceback (most recent call last):
  File "/usr/bin/alacarte", line 22, in <module>
    from Alacarte.MainWindow import MainWindow
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 19, in <module>
    import gtk, gmenu, gobject, gio
ImportError: No module named gmenu

I use Xfce, don't install Gnome or KDE. Please see my installed packages!


Version-Release number of selected component (if applicable):

alacarte-0.13.2-3.fc16.noarch


Additional info:

Please see my package list.
Comment 1 Matthias Clasen 2011-11-14 16:11:11 EST
sorry about this. Alacarte currently does not work. It needs to be adapted to api changes in gnome-menus.
Comment 2 Alex Lancaster 2011-11-27 21:31:01 EST
There are about 50 duplicate bug reports for this error (e.g. bug #757585).  The abrt bug reporter doesn't seem to be very smart about identifying duplicates if the backtraces come from Python.  I'll try to mark them all as dupes of this one.
Comment 3 Greg 2011-12-09 10:30:42 EST
A work-around using gnome-menus from Fedora15 can be found at
http://blog.mclaughlinsoftware.com/2011/11/24/gnome-menu-editing-fix/
Comment 4 Eetu Huisman 2012-02-04 17:47:03 EST
(In reply to comment #2)
> There are about 50 duplicate bug reports for this error (e.g. bug #757585). 
> I'll try to mark them all as dupes of this one.

Why this one, when there's bug #734442 which is much older and has more activity?
Comment 5 Alex Lancaster 2012-02-04 23:59:19 EST
(In reply to comment #4)
> (In reply to comment #2)
> > There are about 50 duplicate bug reports for this error (e.g. bug #757585). 
> > I'll try to mark them all as dupes of this one.
> 
> Why this one, when there's bug #734442 which is much older and has more
> activity?

I didn't happen to notice that bug (there are so many alacarte bugs, and I was doing a quick scan of the list), but the other you mention is probably better.  Also you'll notice that I haven't actually got around to marking the duplicates, so feel free to do so. :)
Comment 6 Eetu Huisman 2012-02-05 09:08:24 EST
(In reply to comment #5)
> Also you'll notice that I haven't actually got around to marking the
> duplicates, so feel free to do so. :)

I don't seem to have sufficient permissions to change the status of bugs, so I can't.
Comment 7 Fedora End Of Life 2013-01-16 12:18:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 16:50:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.